% script d'utilisation des approximations de sinus et de cos
% Approximation globale sur tout l'intervalle [0,pi/4]

epsilon=input('Entrez la prcision souhaite (par exemple 1e-12) : ');
n=determinnglob(epsilon);
disp('Valeur de l''entier n2'); 
disp(n);
ds=dlnsin(n);
dc=dlncos(n);
test=1;
while(test)
  x=input('Entrez x dans l''intervalle [0,pi/4] : '); 
  sinexact=sin(x);
  cosexact=cos(x);
  sinappr=approxnsin(ds,x);
  cosappr=approxncos(dc,x);
  disp('Approximation de cos(x)');
  disp('Valeur approche');
  disp(cosappr);
  disp('Valeur exacte');
  disp(cosexact);
  disp('Diffrence des deux');
  disp(abs(cosexact-cosappr));
  disp(' ');  
  disp(' ');  
  disp('Approximation de sin(x)');
  disp('Valeur approche');
  disp(sinappr);
  disp('Valeur exacte');
  disp(sinexact);
  disp('Diffrence des deux');
  disp(abs(sinexact-sinappr));
  du=input('Taper c pour continuer, autre pour arrter : ','s');
  test=isequal('c',du);
end

