function n=determinnglob(epsilon)

% determinnglob : dtermination indice du dl de sin et cos pour satisfaire erreur globale
%
% la fonction determinnloc determine l'indice  prendre pour que
% les approximations de sin et de cos donnent une erreur infrieure  epsilon
% sur tout l'intervalle [0,pi/4]
%
% *********************************************************
%  n=determinnglob(epsilon)
%
%  * variables d'entres :
%     * epsilon : rel strictement positif
%  * variables de sortie :
%     * n  : indice  prendre
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% Nombre d'itrations infrieur  Nt (prcaution inutle ?)
Nt=1000;
% test d'erreur
if (epsilon<=0)
   disp('ATTENTION');
   error('Le premier argument doit tre strictement positif');
end
test=1;
np=-1;
while(test)
  np=np+1;  
  test=((pi/4)^(2*np+2)/factorial(2*np+2)>epsilon); 
  if (np>=Nt)  
     disp(' ');
     disp('Attention');
     error(['Nombre de boucles suprieur  ',int2str(Nt),' : Arrt du programme']);
  end   
end
n=np;