function n=determinnloc(epsilon,x)

% determinnloc : dtermination indice du dl de sin et cos pour satisfaire erreur locale
%
% la fonction determinnloc determine l'indice  prendre pour que
% les approximations de sin(x) et de cos(x) donnent une erreur infrieure  epsilon.
%
%
% *********************************************************
%  n=determinnloc(epsilon,x)
%
%  * variables d'entres :
%     * epsilon : rel strictement positif
%     * x : rel
%  * variables de sortie :
%     * n  : indice  prendre
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% Nombre d'itrations infrieur  Nt (prcaution inutle ?)
Nt=1000;
% test d'erreur
if (epsilon<=0)
   disp('ATTENTION');
   error('Le premier argument doit tre strictement positif');
end
test=1;
np=-1;
while(test)
  np=np+1;  
  test=((abs(x))^(2*np+2)/factorial(2*np+2)>epsilon)|...
       ((abs(x))^(2*np+3)/factorial(2*np+3)>epsilon); 
  if (np>=Nt)  
     disp(' ');
     disp('Attention');
     error(['Nombre de boucles suprieur  ',int2str(Nt),' : Arrt du programme']);
  end   
end
n=np;